export class HttpCache {
    constructor() {
        this.cache_ = new Map();
    }
    has(key, expireTime) {
        if (!this.cache_.has(key)) {
            return false;
        }
        const cache = this.cache_.get(key);
        if (cache.expireTime > expireTime) {
            return true;
        }
        this.cache_.delete(key);
        return false;
    }
    get(key) {
        return this.cache_.get(key).value;
    }
    set(key, value, expireTime) {
        this.cache_.set(key, { value: value, expireTime: expireTime });
    }
}
